Articles of webpack

Webpack watch ne fonctionne pas sur Webstorm sous Windows?

Donc, fondamentalement, j’ai un projet utilisant Webpack, si je construis en utilisant Webpack -w , l’édition du fichier avec un autre éditeur déclenchera la montre; Cependant, si je modifie le fichier avec Webstorm, rien ne se passera. Je suis tombé sur ce post , qui semble ne pas être le seul, cependant cette solution est […]

Webpack – webpack-dev-server: commande introuvable

Je travaille sur une webapp React en utilisant webpack, à côté de ce tutoriel . Accidentellement, j’ai ajouté le dossier node_modules à mon git. Je l’ai ensuite retiré en utilisant git rm -f node_modules/* . Maintenant, lorsque j’essaie de démarrer le serveur Webpack, j’obtiens l’erreur suivante: > webpack-dev-server -d –config webpack.dev.config.js –content-base public/ –progress –colors […]

Obtenir une exportation de jeton inattendue

J’essaie d’exécuter du code ES6 dans mon projet, mais j’obtiens une erreur d’exportation de jeton inattendue. export class MyClass { constructor() { console.log(“es6”); } }

webpack ne peut pas trouver le module si le fichier nommé jsx

Comme j’écris webpack.config.js comme ça module.exports = { entry: ‘./index.jsx’, output: { filename: ‘bundle.js’ }, module: { loaders: [{ test: /\.jsx?$/, exclude: /node_modules/, loader: ‘babel’, query: { presets: [‘es2015’, ‘react’] } }] } }; Et dans index.jsx un module de react import React from ‘react’; import { render } from ‘react-dom’; import App from ‘./containers/App’; […]

Webpack-dev-server sert une liste de répertoires au lieu de la page de l’application

Je ne peux voir que l’application réelle sous /public . Les webpack.config.js dans webpack.config.js sont ci-dessous: var path = require(‘path’); var webpack = require(‘webpack’); module.exports = { entry: [ ‘webpack-dev-server/client?http://localhost:8080’, ‘webpack/hot/only-dev-server’, ‘./app/js/App.js’ ], output: { path: path.join(__dirname, ‘public’), filename: ‘bundle.js’, publicPath: ‘http://localhost:8080’ }, module: { loaders: [ { test: /\.js$/, loaders: [‘react-hot’, ‘babel-loader’], exclude: /node_modules/ […]

“Symbol” n’est pas défini dans IE après l’utilisation de babel

J’ai une application reactjs écrite en utilisant les normes ES6, et j’utilise webpack pour la construire. Le webpack charge les modules js utilisant babel-loader . Pour être précis, j’utilise les versions suivantes des packages: ├── babel@5.8.34 ├── babel-core@5.8.34 ├── babel-loader@5.4.0 └── webpack@1.12.6 Cependant, après sa création, l’IE 10 génère l’erreur suivante: ‘Symbol’ is undefined . […]

Les tests de moka ont échoué en raison de css dans webpack

Je suis nouveau sur Mocha et j’essaie de l’utiliser pour tester un composant React simple. Le test passerait si le composant react ne comporte aucun style CSS, mais renvoie une erreur de syntaxe si la balise du composant React contient un nom de classe: Testing.react.js import React from ‘react’; export default class Testing extends React.Component […]

Webpack 4 – Comment configurer au minimum?

Webpack 4 est livré avec la déclaration suivante: webpack.optimize.UglifyJsPlugin a été supprimé, veuillez utiliser config.optimization.minimize à la place. Assez bien, mais je ne trouve aucune information sur la configuration de l’instance UglifyJsPlugin s’exécutant sous le capot, par exemple pour changer le répertoire du cache. Est-ce que cela peut être fait?

webpack n’est pas reconnu en tant que commande interne ou externe, programme exploitable ou fichier de commandes

J’apprends React.js et j’utilise Windows 8 OS.i avoir naviguer dans mon dossier racine 1.Created the package.json file by npm init 2. install webpack by npm install -S webpack.now webpack has been downloaded to my modules folder 3. install webpack globally by typing npm install webpack -g 4. i am also having a webpack.config.js in my […]

React-Native: le module AppRegistry n’est pas un module appelable enregistré

Je suis actuellement en train d’essayer de faire fonctionner le serveur webpack-native-ES6 sur un émulateur Android. La différence est que j’ai mis à jour mes build.grade et build.grade pour utiliser la réaction 0.18.0 , et que je reçois cette erreur au démarrage. Autant que je sache, AppRegistry est importé correctement. Même si je devais commenter […]